Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
vipps
/
{callback_reference}
aid_account_settings_connections_vipps_callback_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/vipps/{callback_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signup-id": "81b83246-5c19-7b94-875b-ea6d1114f099",
  "orgnumber": "692493206",
  "merchant-name": "Vipps",
  "createdTime": "00:00:00",
  "merchantSerialNumber": "123456",
  "client_Id": "51358942-08c8-4d50-99f4-a9aa970b5f5b",
  "client_Secret": "verysecret123",
  "subscriptionKeys": [
    {
      "product": "Access",
      "ocp-apim-subscription-key": "de897dbb-0cd3-4445-b003-ac8214ac4638"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
callback_reference
string
required

Body

application/json
signup-id
string
Example:

"81b83246-5c19-7b94-875b-ea6d1114f099"

orgnumber
string
Example:

"692493206"

merchant-name
string
Example:

"Vipps"

createdTime
string
Example:

"00:00:00"

merchantSerialNumber
string
Example:

"123456"

client_Id
string
Example:

"51358942-08c8-4d50-99f4-a9aa970b5f5b"

client_Secret
string
Example:

"verysecret123"

subscriptionKeys
object[]

Response

Signup

The response is of type object.

Last modified on May 12, 2026